日報削除
DELETE
/daily_reports/{shift_result_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_reports/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_reports/example \ --header 'Authorization: Bearer <token>'日報を削除します。
対象
- プラン
- エンタープライズ、旧有料
- オプション
- 日報
対象ユーザー権限
- 日報管理編集
- ユーザーアクセストークンを使用してログインユーザー自身の実績における日報を削除する場合、権限は不要
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”shift_result_id
required
string
シフト実績ID
Responses
Section titled “Responses”削除成功
Media typeapplication/json
object
dailyReportId
日報ID
string
Example
{ "dailyReportId": "567"}- 削除に失敗した場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "日報の削除に失敗しました。"}- 指定したIDのデータが存在しない場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "日報の取得に失敗しました ID: 209"}